org.apache.xmlbeans

## Interface XmlUnsignedShort

All Superinterfaces:
  XmlAnySimpleType, XmlDecimal, XmlInteger, XmlNonNegativeInteger, XmlObject, XmlTokenSource, XmlUnsignedInt, XmlUnsignedLong

All Known Subinterfaces:
  XmlUnsignedByte

All Known Implementing Classes:
  XmlUnsignedByteImpl, XmlUnsignedShortImpl

    public interface XmlUnsignedShort
    extends XmlUnsignedInt

Corresponds to the XML Schema xs:unsignedShort type. One of the derived types based on xs:decimal.

Verified to be in the range 0..65535 when validating.

Convertible to a Java int.

### Field Summary

Fields
`static XmlObjectFactory<XmlUnsignedShort>` `Factory`
`static SchemaType` `type` The constant `SchemaType` object representing this schema type.

### Fields inherited from interface org.apache.xmlbeans.XmlObject

`EQUAL, GREATER_THAN, LESS_THAN, NOT_EQUAL`

### Method Summary

All Methods Instance Methods Abstract Methods
`int` `getIntValue()` Returns this value as an int
`void` `setIntValue(int v)` Sets this value as an int

### Methods inherited from interface org.apache.xmlbeans.XmlUnsignedInt

`getLongValue, setLongValue`

### Methods inherited from interface org.apache.xmlbeans.XmlInteger

`getBigIntegerValue, setBigIntegerValue`

### Methods inherited from interface org.apache.xmlbeans.XmlDecimal

`getBigDecimalValue, setBigDecimalValue`

### Methods inherited from interface org.apache.xmlbeans.XmlAnySimpleType

`getStringValue, setStringValue`

### Methods inherited from interface org.apache.xmlbeans.XmlObject

`changeType, compareTo, compareValue, copy, copy, execQuery, execQuery, isImmutable, isNil, schemaType, selectAttribute, selectAttribute, selectAttributes, selectChildren, selectChildren, selectChildren, selectPath, selectPath, set, setNil, substitute, toString, validate, validate, valueEquals, valueHashCode`

### Methods inherited from interface org.apache.xmlbeans.XmlTokenSource

`documentProperties, dump, getDomNode, monitor, newCursor, newDomNode, newDomNode, newInputStream, newInputStream, newReader, newReader, newXMLStreamReader, newXMLStreamReader, save, save, save, save, save, save, save, save, xmlText, xmlText`

### Field Detail

#### Factory

    static final XmlObjectFactory<XmlUnsignedShort> Factory

#### type

    static final SchemaType type

The constant `SchemaType` object representing this schema type.

### Method Detail

#### getIntValue

    int getIntValue()

Returns this value as an int

#### setIntValue

    void setIntValue(int v)

Sets this value as an int